<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';
import { CtfCard } from '~/models';

export default Vue.extend({
  name: 'SupportSolutions',
  props: {
    data: {
      type: Object as PropType<CtfCard>,
      required: true,
    },
  },
});
</script>

<template>
  <div class="support-resources">
    <SlpContainer>
      <div class="support-section-icon slp-mb-16">
        <SlpIcon size="xl" :icon="data.iconName" />
      </div>
      <SlpRow>
        <SlpColumn :cols="6">
          <SlpTypography
            v-if="data.title"
            tag="h2"
            variant="heading2-bold"
            class="slp-mb-16"
          >
            {{ data.title }}
          </SlpTypography>
          <div
            v-if="data?.description"
            class="support-section-content"
            v-html="$md.render(data.description)"
          ></div>
        </SlpColumn>
        <SlpColumn :cols="6">
          <div
            v-if="data?.column2Description"
            class="support-section-content"
            v-html="$md.render(data.column2Description)"
          ></div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.support-resources {
  &__card {
    padding: 32px;
    background-color: #fff;
    border: 1px solid $color-surface-200;
    border-radius: 8px;
  }
  &__cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 32px;
  }
}
</style>
